Page MenuHomePhabricator

Separate Diffusion's rANWS from gerrit's analytics-wikistats
Closed, ResolvedPublic

Description

callsign: rANWS analytics-wikistats
full name: Wikistats

Our team would like to take over the Wikistats repository in Diffusion and use it for our re-write of wikistats. But right now it's mirrored from gerrit, can that be un-mirrored?

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 21 2017, 5:27 PM
Milimetric closed this task as Invalid.Jun 22 2017, 6:33 PM

Oops, this already exists... hm, will think and re-open something if necessary.

Milimetric renamed this task from Please create new wikistats repository to Separate Diffusion's rANWS from gerrit's analytics-wikistats.Jun 23 2017, 4:09 PM
Milimetric reopened this task as Open.
Milimetric updated the task description. (Show Details)
greg added a subscriber: greg.Jun 23 2017, 4:11 PM

Note: Let's not have two repositories with the same name in separate tools that are diverged.

And to be clear, from the IRC chat: They want to use Differential for their code review for the rewrite of wikistats.

So reverse the direction of replication?

mmodell updated the task description. (Show Details)Jun 23 2017, 9:25 PM

No, we don't want to reverse the replication, the gerrit one is still semi-active. This is a tough situation. The new code is going to be deployed to stats.wikimedia.org, same as the old one, but it's a complete rewrite. It's not feasible to share the repo and use different branches either. What else would you suggest? We saw having duplicate diverging repositories to be a temporary problem, and the least bad way forward. So at some point in the mid-term, the gerrit repository will become inactive.

or we could make a new one called ANW2 if that's better for you

@Milimetric I started to make a ANW2 but numbers aren't allowed in callsigns. I separated the two so that they are not mirroring anymore but I think I should restore the mirroring and make a new repo called ANWNEW just to avoid confusion about the two same-named repos with different content.

@Milimetric: I've created rWIKISTATS analytics-wikistats-new.

I have one question: Who should be able to push to this repo?

Thanks @mmodell. All analytics team members would be great, if they're in a group, if not:

working on the repo: @Nuria @mforns @fdans @Milimetric
good to have just in case: @JAllemandou @Ottomata @elukey
might want in the future: community people that might want to contribute

@Milimetric The access is currently controlled by acl*analytics. I've updated membership of that acl to reflect the people you mentioned.

mmodell closed this task as Resolved.Jun 27 2017, 4:33 PM
mmodell claimed this task.

Thanks very much, you rock.

@Milimetric: Also, fyi - any member of the analytics team should be able to edit the repo in diffusion, so feel free to customize the settings under /source/wikistats/manage/